bolt.com is getting a new home → boltapp.com. Click here to transition smoothly to boltapp.com.

Skip to content

Post Token

View As MarkdownMCP
POST
/token

Collects and stores the credit card information and returns a token representing the stored card.

Alternatively, Bolt also provides an NPM package for ease of use.

Request Body

application/json

This payload includes credit card information encrypted with a locally generated client public and private key pair, nonce string, and server public key.

TypeScript Definitions

Use the request body type in TypeScript.

Post Token

Response Body

application/json

text/plain

text/plain

curl -X POST "https://example.com/token" \  -H "Content-Type: application/json" \  -d '{}'
{  "nonce": "ObJS+95BqxwqGgPMrvg//XAogXeBsMdP",  "payload": "T5m0ig7ROC/6WVJ9f8NcKRPhjEmn9833i3T4lZiTTNbZgOXM8gRXKeNDSH9BrzicqgjEXNriuZn9E8/xL5mb3lpIPAtX0L0dBDpojb/xa/QNi9/zEiZ6+MmBa6EQCEfKZxiOG9l9BMi3gS+UZxGcF18yfra/UXdhnvQW7PGk0Ex2F6MggwjdJOWoPgKG8UROTBMstoL23plFwfGScyZ+g0uo"}